Bug 93532 - [HSW,BDW,SKL][GLES 3.1 CTS] ES31-CTS.compute_shader.*. Regression, bisected.
Summary: [HSW,BDW,SKL][GLES 3.1 CTS] ES31-CTS.compute_shader.*. Regression, bisected.
Status: RESOLVED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: 11.0
Hardware: Other All
: medium normal
Assignee: Tapani Pälli
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 92778
  Show dependency treegraph
 
Reported: 2015-12-29 13:23 UTC by Marta Löfstedt
Modified: 2016-01-13 06:03 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Marta Löfstedt 2015-12-29 13:23:10 UTC
Software versions:
    4.4.0-040400rc4-generic
    OpenGL version string: 3.0 Mesa 11.2.0-devel (git-dfce9759)

GPU hardware:
    OpenGL renderer string: Mesa DRI Intel(R) HD Graphics 530 (Skylake GT2) 
    00:02.0 VGA compatible controller [0300]: Intel Corporation Sky Lake Integrated Graphics [8086:1912] (rev 06)

CPU hardware:
    x86_64
    Intel(R) Core(TM) i5-6600K CPU @ 3.50GHz
-----------------
Software versions:
    4.3.0-rc3+
    OpenGL version string: 3.0 Mesa 11.2.0-devel (git-dfce9759)

GPU hardware:
    OpenGL renderer string: Mesa DRI Intel(R) HD Graphics 5300 (Broadwell GT2) 
    00:02.0 VGA compatible controller [0300]: Intel Corporation Broadwell-U Integrated Graphics [8086:161e] (rev 06)

CPU hardware:
    x86_64
    Genuine Intel(R) CPU 0000 @ 0.60GHz
------------------
CTS version Intel internal:
git@67ae88f31295

command: 
./glcts --deqp-case=ES31-CTS.compute_shader.sso-compute-pipeline
./glcts --deqp-case=ES31-CTS.compute_shader.sso-case2

Environment:
Ubuntu 15.10
Mesa built with: --enable-debug

----------------------
The test ES31-CTS.compute_shader.sso-compute-pipeline and ES31-CTS.compute_shader.sso-case2 passed before bisected commit:

commit f2be5b8ba4b1fbbf1a5bb5f83d68a3240a287fa4
Author: Tapani Pälli <tapani.palli@intel.com>
Date:   Wed Dec 16 08:24:52 2015 +0200

    mesa: fix interface matching done in validate_io

With above commit reverted the tests pass.
Comment 1 Tapani Pälli 2015-12-29 15:19:40 UTC
Will take a look (hälsningar från Stockholm!)
Comment 2 Tapani Pälli 2016-01-04 08:46:03 UTC
I've sent a patch to mesa-dev that fixes this issue, here:
http://lists.freedesktop.org/archives/mesa-dev/2016-January/104140.html
Comment 3 Tapani Pälli 2016-01-13 06:00:53 UTC
fix pushed
Comment 4 Matt Turner 2016-01-13 06:03:42 UTC
Please remember to note the commit that fixed the bug.

commit e937fd779fc8435750eb5168d2320d06ac259805
Author: Tapani Pälli <tapani.palli@intel.com>
Date:   Mon Jan 4 09:55:52 2016 +0200

    mesa: do not validate io of non-compute and compute stage
    
    Fixes regression on SSO tests that have both non-compute and
    compute programs in a program pipeline.


bug/show.html.tmpl processed on Feb 24, 2017 at 01:44:15.
(provided by the Example extension).